# Uses of Class
org.apache.commons.math3.linear.RealVector.Entry

Packages that use RealVector.Entry
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of RealVector.Entry in org.apache.commons.math3.linear

Subclasses of RealVector.Entry in org.apache.commons.math3.linear
Modifier and Type
Class
Description
`protected class`
`OpenMapRealVector.OpenMapEntry`
Implementation of `Entry` optimized for OpenMap.
Methods in org.apache.commons.math3.linear that return RealVector.Entry
Modifier and Type
Method
Description
`RealVector.Entry`
OpenMapRealVector.OpenMapSparseIterator.`next()`
`RealVector.Entry`
RealVector.SparseEntryIterator.`next()`
Methods in org.apache.commons.math3.linear that return types with arguments of type RealVector.Entry
Modifier and Type
Method
Description
`Iterator<RealVector.Entry>`
RealVector.`iterator()`
Generic dense iterator.
`Iterator<RealVector.Entry>`
OpenMapRealVector.`sparseIterator()`
Create a sparse iterator over the vector, which may omit some entries.
`Iterator<RealVector.Entry>`
RealVector.`sparseIterator()`
Create a sparse iterator over the vector, which may omit some entries.
Methods in org.apache.commons.math3.linear with parameters of type RealVector.Entry
Modifier and Type
Method
Description
`protected void`
RealVector.SparseEntryIterator.`advance(RealVector.Entry e)`
Advance an entry up to the next nonzero one.